List events
curl --request GET \
--url https://api.neuronsearchlab.com/v1/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.neuronsearchlab.com/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.neuronsearchlab.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "12345",
"object": "event",
"user_id": "user-abc123",
"item_id": "7f3a2c9e",
"type": "click",
"click": {},
"session_id": null,
"request_id": null,
"context_id": "101",
"placement": null,
"metadata": {
"context_id": "101",
"click": {}
},
"occurred_at": 1777478400,
"created": 1777478405
}
],
"has_more": true,
"next_cursor": "12345",
"url": "/v1/events"
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "Validation error",
"details": {
"fieldErrors": {
"name": [
"Required"
]
}
}
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized_no_client_id_in_jwt",
"message": "Unauthorized: No client ID in JWT"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Events
List events
List ingested events with cursor pagination.
GET
/
v1
/
events
List events
Request
GET /v1/events?user_id=user-abc123&type=click&limit=50
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Number of events to return. Defaults to 20, maximum 100. |
starting_after | string | no | Event ID cursor such as 12345. |
user_id | string | no | Filters to events for one user. |
type | string | no | Filters to one event type. |
Response
{
"object": "list",
"data": [
{
"id": "12345",
"object": "event",
"user_id": "user-abc123",
"item_id": "7f3a2c9e",
"type": "click",
"click": {},
"session_id": null,
"request_id": null,
"context_id": "101",
"placement": null,
"metadata": {
"context_id": "101",
"click": {}
},
"occurred_at": 1777478400,
"created": 1777478405
}
],
"has_more": true,
"next_cursor": "12345",
"url": "/v1/events"
}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Maximum number of resources to return. Defaults to 20 and is capped at 100.
Required range:
1 <= x <= 100Cursor from a previous event list response.
Pattern:
^[1-9][0-9]*$Filter to events recorded for one end-user ID.
Filter to one event type, such as click or purchase.
Was this page helpful?
⌘I

